DMESG(8) | System Manager's Manual | DMESG(8)

# NAME

`dmesg` —
display the system message buffer

# SYNOPSIS

`dmesg` | [`-dTt`] [`-M` core] [`-N` system]

# DESCRIPTION

`dmesg` displays the contents of the system message buffer.

The options are as follows:

`-d`
  Show the timestamp deltas. Used together with `-t` only the deltas are shown.
`-M`
  Extract values associated with the name list from the specified core instead of the default ``/dev/mem''.
`-N`
  Extract the name list from the specified system instead of the default ``/netbsd''.
`-T`
  Format uptime timestamps in a human readable form (using ctime(3)) using output suitable for the local locale as set in the environment. Repeating this option prints the uptime in ISO 8601 duration form, giving the duration since boot, in hours, minutes, and seconds (to millisecond resolution). A third occurrence causes the duration to always be represented to millisecond precision, even where that means trailing zeroes appear.
`-t`
  Quiet printing, don't print timestamps.

The system message buffer is a circular buffer of a fixed size. If the buffer has been filled, the first line of the `dmesg` output may not be complete. The size of the message buffer is configurable at compile-time on most systems with the `MSGBUFSIZE` kernel option. Look for `MSGBUFSIZE` in options(4) for details.

# FILES

/var/run/dmesg.boot
  copy of dmesg at the time of last boot.

# SEE ALSO

options(4), syslogd(8)

# HISTORY

The `dmesg` command appeared in 3.0BSD.

# BUGS

The `-T` option will report nonsense when displaying lines from the message buffer that were not added by the current running kernel.

When `-TT` is used, the duration is always given with maximum units of hours, even when the number of hours is in the hundreds, thousands, or more. This is because converting hours to days, over periods when “time skips” occur, such as summer time beginning or ending, is not trivial. A duration of 26 hours might be 1D3H or 1D1H at such events, rather than the usual 1D2H, and when a time zone alters its offset, even more complex calculations are needed. None of those calculations are done (even to account for sub-hour time zone shifts), the duration indicated is always calculated by simple division of seconds by 60 to produce minutes, and again to produce hours. Most of the time [!] this is correct.

October 30, 2018 | NetBSD 9.0